• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.
PDF Membership letter / certificate

PDF Membership letter / certificate 1.0

No permission to buy (£5.00)
Compatible XF 1.x versions
1.4, 1.5
Additional requirements
Dompdf (Included)

This uses Dompdf. See https://github.com/dompdf/dompdf for more details.
In turn, the PDF library uses some functions within php which might not be enabled by default.
DOMPDF requires:
:- PHP version 5.3.0 or higher
:- DOM extension
:- GD extension
:- MBString extension
:- php-font-lib
:- php-svg-lib

If you have a shared server then it is most unlikely you will be able to install these.
Updates duration
12 months
Visible branding
No
A resource which allows you to generate membership letters or certificates for members.

This comes in handy when members get discounts from 3rd parties but have to prove their membership. This is the official proof.


  • Fairly flexible in that you can:
  • Specify the letterhead
  • Select which attributes of the letter you want to include.
  • Allow members to download it as a pdf
  • Show the join date.
  • If they have a paid-for user-upgrade then it will show the end date of that upgrade.
  • Date format is as-per Xenforo settings
DELIVERY:
Please note, like my other resources, I use FetchApp. FetchApp and I are not friends and it normally does not send you the file when you have bought it. I will always send you an email with the install file as soon as I can after you bought it - normally within a couple of hours. Please don't open a PayPal dispute within 33ms after buying it.


The default membership letter:
upload_2016-10-17_22-3-47.png




Menu integration for members:
upload_2016-10-17_21-24-23.png




ACP options:

upload_2016-10-17_21-25-19.png



Permissions for individual groups:
upload_2016-10-17_21-25-57.png
Related resources
This uses Dompdf. See https://github.com/dompdf/dompdf for more details.
In turn, the PDF library uses some functions within php which might not be enabled by default.
DOMPDF requires:
  • PHP version 5.3.0 or higher
  • DOM extension
  • GD extension
  • MBString extension
  • php-font-lib
  • php-svg-lib
If you have a shared server then it is most unlikely you will be able to install these.
Author
CrispinP
First release
Last update
Rating
0.00 star(s) 0 ratings

More resources from CrispinP